<div class="center">
  <label class="title-page">{{'civilStatusTitle' | translate}}</label>
  <div class="banner"></div>
  <!-- <div class="form-control"> <label class="label">{{'civilStatusTitle' | translate}}</label></div>
  <br><br> -->
  <div class="form-control">
    <label class="sub-label"> {{'nationality' | translate}}</label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline" id="tun-nat" class="sty" >
      <mat-icon class="flag-icon flag-icon-tn"></mat-icon>
      <input class="aligned-with-icon" matInput [(ngModel)]='pi.nationality' [value]='pi.nationality' readonly >
    </mat-form-field>
  </div>

  <div style="display: flex; " class="check-layout" *ngIf="secondNAtio">
    <label class="container" style="width: 400px;"> {{'deuxiemeNatiQuestion' | translate}}
      <input class="checkbox" (click)="showSecondNationality = ! showSecondNationality" type="checkbox"
        [(ngModel)]="showSecondNationality" (change)="secondNatio($event)">
      <span class="checkmark"></span>
    </label>
  </div>




  <br>
  <div *ngIf="!secondNAtio">
    <div class="form-control" style="margin-top: -20px !important;">
      <label class="sub-label">{{'secondNationality' | translate}}</label>
    </div>
    <div class="form-group">
      <div class="row">
        <mat-form-field id="bloc1" appearance="outline" class="test">
          <mat-select [(ngModel)]="pi.secondNationality" (selectionChange)="onChangeNationality($event.value)">
            <mat-select-trigger *ngIf="nationality" class="flag-icon flag-icon-{{nationality.flag}} nationality">
              <mat-icon>whatever</mat-icon>
              <span>{{pi.secondNationality}}</span>
            </mat-select-trigger>
            <mat-option *ngFor="let nationality of nationalities" [value]="nationality.name">
              <mat-icon class="flag-icon flag-icon-{{nationality.flag}}">whatever</mat-icon>
              <span> {{nationality.name}}</span>
            </mat-option>
          </mat-select>
        </mat-form-field>
        <span class="ellipse" (click)="closeSecondNationality()" style="cursor: pointer;">
        </span>
      </div>
    </div>
  </div>
  <div class="form-control">
    <label class="sub-label">{{'civilStatus' | translate}}
    </label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline">
      <mat-select [(ngModel)]="pi.maritalStatus"  class="font-style">
        <mat-option *ngFor="let item of civilities" [value]="item"  class="font-style">
          {{item}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="form-control">
    <label class="sub-label">{{'nbEnfants' | translate}}</label>
  </div>
  <div class="form-control">
    <ng-template ngFor let-item [ngForOf]="children" let-i="index" style="font-family: SansPro;">
      <!-- <button mat-stroked-button [color]="'green'">{{item}}</button> -->
      <!-- <button class="careaux"(click)="setActive(i)" class="{{item.active ? 'active' : ''}}"> -->
      <button id="kids" [ngClass]="{'btn-careaux': true, 'careaux': ! item.active, 'careaux-active': item.active}"
        (click)="setActive(i)">
        <span id="kids-text"
          [ngClass]="{'btn-text-careau': true, 'text-careaux': ! item.active, 'text-careaux-active': item.active}">
          {{item.label}}</span>
      </button>
    </ng-template>
  </div>
  <br><br>


  <div style="display: flex; " class="check-layout">
    <label class="container" style="width: 400px;"> {{'indiceAmericanité' | translate}}
      <input class="checkbox" type="checkbox" (change)="openDialog()" [(ngModel)]="pi.americanIndex">
      <span class="checkmark"></span>
    </label>
  </div>


  <br><br>
  <div class="form-control">

    <button mat-button class="btn-continue cont-layout" (click)='continue()'>
      <span class="continuer">{{'continue' | translate}} </span>
    </button>

    <button class="btn-retour ret" fxLayout="row" (click)="prevStep()" fxLayoutAlign="space-evenly center">
      <span class="material-icons">
        arrow_back_ios
      </span><span class="Retour">Retour</span></button>
  </div>
</div>




<!-- <mat-grid-list cols="3" rowHeight="1:4">
  <mat-grid-tile>1</mat-grid-tile>
  <mat-grid-tile>2</mat-grid-tile>
  <mat-grid-tile>3</mat-grid-tile>
</mat-grid-list> -->
<!-- <span class="flag-icon flag-icon-tn"></span> -->
<!-- <span class="flag-icon-background flag-icon-bb flag-icon-squared"></span> -->
